from django.urls import path
from . import views


urlpatterns = [
    # LISTING
    path("customer-invoices/", views.customer_invoices, name="customerinvoices"),
    path("products/", views.all_products, name="products"),
    path("orders/", views.customer_orders, name="orders"),


    # PRODUCTS URL
    path("osimenu-plans/", views.osimenu_plans, name="osimenuplans"),
    path("shared-hosting-plans/", views.shared_hosting_plans, name="sharedhostingplans"),
    path("cloud-vps-hosting-plans/", views.cloud_vps_hosting_plans, name="cloudvpshostingplans"),
    path("dedicated-servers-plans/", views.dedicated_servers_plans, name="dedicatedserversplans"),

    # PAYMENT
    path("buy-free/osimenu", views.buy_free_osimenu, name="buyfreeosimenu"),
    path("payment/<int:item_id>/", views.payment, name="payment"),
    path("initiate_checkout/", views.initiate_checkout, name="initiatecheckout"),
    path("check-order-status/<str:merchant_id>/<str:order_id>/", views.check_order_status, name="check_order_status",),
]
